Name:           perl-Hardware-Vhdl-Tidy
Version:        0.8
Release:        7%{?dist}
Summary:        VHDL code prettifier

License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Hardware-Vhdl-Tidy/
Source0:        http://www.cpan.org/authors/id/M/MY/MYKL/Hardware-Vhdl-Tidy-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Hardware::Vhdl::Lexer)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)

# %%dir %%{perl_vendorlib}/Hardware/Vhdl/ is owned by perl-Hardware-Vhdl-Parser
# perl(Hardware::Vhdl::Lexer) requires perl-Hardware-Vhdl-Parser

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))


%description
This module auto-indents VHDL source code. It may be extended in future to
do other types of code prettification.


%prep
%setup -q -n Hardware-Vhdl-Tidy-%{version}

# rpmlint : line endings spurious-executable-perm
for i in Changes README lib/Hardware/Vhdl/Tidy.pm ; do
  echo "Fixing wrong-file-end-of-line-encoding : $i"
  %{__sed} 's/\r//' $i > $i.rpmlint
  touch -r $i $i.rpmlint;
  %{__mv} $i.rpmlint $i
  echo "Fixing perms : $i"
  chmod 0644 $i
done


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes README test_in.vhd
%{perl_vendorlib}/Hardware/Vhdl/Tidy.pm
%{_mandir}/man3/*


%changelog
* Sun May 02 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.8-7
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.8-6
- rebuild against perl 5.10.1

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jan 07 2009 Chitlesh GOORAH <chitlesh [AT] fedoraproject DOT org> 0.8-3
- added perl(Test::Pod::Coverage) as BR

* Sun Dec 21 2008 Chitlesh GOORAH <chitlesh [AT] fedoraproject DOT org> 0.8-2
- updated as suggestion on review RHBZ 477520#c1

* Sun Dec 14 2008 Chitlesh GOORAH <chitlesh [AT] fedoraproject DOT org> 0.8-1
- Specfile autogenerated by cpanspec 1.77.
